>From d834d37f068a31c6ea93f71e7ee7e03a4ddb56a1 Mon Sep 17 00:00:00 2001
From: Nicolas Dandrimont <nicolas.dandrimont@crans.org>
Date: Thu, 7 Aug 2014 08:39:00 +0200
Subject: [PATCH] Fix path to dnssec-trigger-script in the NetworkManager hook

---
 debian/patches/debian-quirks.patch | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/debian/patches/debian-quirks.patch b/debian/patches/debian-quirks.patch
index c81b084..9d890e0 100644
--- a/debian/patches/debian-quirks.patch
+++ b/debian/patches/debian-quirks.patch
@@ -1,5 +1,16 @@
 --- dnssec-trigger.orig/01-dnssec-trigger.in
 +++ dnssec-trigger/01-dnssec-trigger.in
+@@ -11,8 +11,8 @@ fi
+ 
+ # Exec the dnssec-trigger update script that uses NetworkManager API to gather
+ # all the necessary information.
+-if [ -x @libexecdir@/dnssec-trigger-script ]; then
+-    exec @libexecdir@/dnssec-trigger-script --update
++if [ -x /usr/lib/dnssec-trigger/dnssec-trigger-script ]; then
++    exec /usr/lib/dnssec-trigger/dnssec-trigger-script --update
+ fi
+ 
+ # When dnssec-trigger-script is absent or not executable, the original
 @@ -23,7 +23,7 @@ fi
  # set PATH correctly instead of absolute paths to binaries
  PATH="@sbindir@:@bindir@:/sbin:/usr/sbin:/bin:/usr/bin"
-- 
2.1.0.rc1

